## svxlink 15.11+20171207~git445-380e5333

=== debian/changelog ===
svxlink (15.11+20171207~git445-380e5333-1) unstable; urgency=medium

  * Pulled new upstream master
  * Bumped Standards-Version: 4.1.2
  * Updated maintainer email address
  * Removed Build-Depends: tcl-dev, qttools5-dev-tools
  * Changed Build-Depends: libgcrypt20-dev to libgcrypt-dev
  * Bumped library minor version in lintian-overrides
  * Placed shared libraries in Section: libs
  * Manually create icon directories in rules (for Raspbian Jessie)
  * Shipping svxreflector in new binary package
  * Shipping calibration tools in a separate binary package
  * Shipping GPIO auxiliaries in separate architecture independent package
  * Set make verbosity and install directories in rules instead of patch
  * Enabled systemd integration in rules
  * Switched to systemd scripts provided by upstream
  * Pulled systemd files for svxreflector from Richard Neese
  * Provided basic init.d file for svxreflector
  * Removed obsolete syslog.target from systemd service files
  * Added .gitignore file
  * Changed package descriptions
  * Moved CC0 license nearer the original icons
  * Updated copyright info

 -- Felix Lechner <felix.lechner@lease-up.com>  Thu, 07 Dec 2017 14:19:35 -0800

svxlink (15.11-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream patch to fix FTBFS with gcc 7. (Closes: #853672)

 -- Adrian Bunk <bunk@debian.org>  Fri, 01 Sep 2017 16:15:22 +0300

svxlink (15.11-2) unstable; urgency=medium

  * Bugfix release
  * Referred to $(CURDIR) in rules (Closes: #846703)
  * Build-Depends: debhelper (>= 10); bumped compat to 10
  * Dropped Build-Depends: quilt
  * Switched to new style dbgsym packages
  * Updated Standards-Version: to 3.9.8
  * svxlink-server & remotetrx Depend:lsb-base (>= 3.0-6) b/c init scripts
  * Shipping systemd service files (untested)
  * Shipping new qtel icons; used them in qtel.desktop (LP: #1591112)
  * Library packages are Multi-Arch:same
  * Fixed more spelling errors
  * Enabled hardening

 -- Felix Lechner <felix.lechner@gmail.com>  Fri, 09 Dec 2016 16:45:49 -0800

=== debian/control ===
Source: svxlink
Section: hamradio
Priority: optional
Maintainer: Felix Lechner <felix.lechner@lease-up.com>
Build-Depends-Indep: librsvg2-bin
Build-Depends: debhelper (>= 10), cmake,
 libsigc++-2.0-dev (>= 2.2.10-0.2),
 libpopt-dev,
 libgcrypt-dev,
 libgsm1-dev,
 libspeex-dev,
 libopus-dev,
 libasound2-dev,
 qtbase5-dev,
 qttools5-dev,
 tk-dev,
 doxygen
Standards-Version: 4.1.2
Homepage: http://www.svxlink.org

Package: svxlink-server
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 svxlink-gpio (= ${source:Version}),
 adduser,
 lsb-base (>= 3.0-6)
Recommends:
 remotetrx (= ${binary:Version}),
 svxlink-calibration-tools (= ${binary:Version})
Description: Voice-over-IP server for ham radio operators
 The SvxLink server provides access to a ham radio transceiver via
 the EchoLink® protocol. It can act as a repeater controller
 or operate on a simplex channel. Based on a modular design, the server
 can be configured to provide voice mail and echo (talkback) service.
 It is normally used together with the 'remotetrx' package, which allows
 the remote control of a radio transceiver.
 .
 For a client program implementing the EchoLink® protocol, please
 have a look at the 'qtel' package.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: svxreflector
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 adduser,
 lsb-base (>= 3.0-6)
Description: Conference server for SvxLink amateur radio servers
 The SvxReflector can interconnect multiple SvxLink nodes. Audio sent to
 the reflector is broadcast to all other nodes. Only one talker is
 allowed at a time.
 .
 For a client program implementing the EchoLink® protocol, please
 have a look at the 'qtel' package.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: remotetrx
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 svxlink-gpio (= ${source:Version}),
 adduser,
 lsb-base (>= 3.0-6)
Recommends:
 svxlink-server (= ${binary:Version}),
 svxlink-calibration-tools (= ${binary:Version})
Description: Remote controller for radio transceivers
 The RemoteTrx server facilitates remote control of amateur radio
 transceivers via the EchoLink® protocol. It is normally
 used together with the 'svxlink-server' package, which allows
 for nearly world-wide access from the Internet.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 The RemoteTrx server provides remote control of a connected radio
 transceiver. EchoLink® is a registered trademark of
 Synergenics, LLC.

Package: svxlink-gpio
Architecture: all
Depends: ${misc:Depends}
Description: GPIO control scripts SvxLink amateur radio server
 This package contains the GPIO control scripts for general purpose I/O
 for the SvxLink suite. SvxLink provides access to a ham radio
 transceiver via the EchoLink® protocol.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 By connecting into a server connected to a repeater, an operator
 can call into a local radio net via the Internet while traveling
 out of the area. EchoLink® is a registered trademark of
 Synergenics, LLC.

Package: svxlink-calibration-tools
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Calibration tools for SvxLink amateur radio suite
 SvxLink facilitates remote control of amateur radio transceivers via the
 EchoLink® protocol. This package included the calibration tools.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 The RemoteTrx server provides remote control of a connected radio
 transceiver. EchoLink® is a registered trademark of
 Synergenics, LLC.

Package: qtel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, qtel-icons
Description: Graphical client for the EchoLink® protocol
 Qtel is a graphical client program for the EchoLink® ham radio
 protocol.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: qtel-icons
Architecture: all
Depends: ${misc:Depends}
Description: Icons for graphical client for the EchoLink® protocol
 Icons for Qtel, a graphical client program for the EchoLink®
 ham radio protocol.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: libasynccpp1.4
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AsyncCpp library for SvxLink
 The SvxLink server provides access to a ham radio transceiver via
 the EchoLink® protocol. This package contains the AsyncCpp
 library.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: libasynccpp-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, libasynccpp1.4 (= ${binary:Version})
Description: AsyncCpp library for SvxLink (development files)
 The SvxLink server provides access to a ham radio transceiver via
 the EchoLink® protocol. This package contains the static
 version and the header files for the AsyncCpp library.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: libasyncaudio1.4
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AsyncAudio library for SvxLink
 The SvxLink server provides access to a ham radio transceiver via
 the EchoLink® protocol. This package contains the AsyncAudio
 library.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: libasyncaudio-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, libasyncaudio1.4 (= ${binary:Version})
Description: AsyncAudio library for SvxLink (development files)
 The SvxLink server provides access to a ham radio transceiver via
 the EchoLink® protocol. This package contains the static
 version and the header files for the AsyncAudio library.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: libecholib1.3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EchoLib library for SvxLink
 The SvxLink server provides access to a ham radio transceiver via
 the EchoLink® protocol.  This package contains EchoLib, a
 library for EchoLink communications.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: libecholib-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, libecholib1.3 (= ${binary:Version})
Description: EchoLib library for SvxLink (development files)
 The SvxLink server provides access to a ham radio transceiver via
 the EchoLink® protocol.  This package contains the static
 version and the header files for the EchoLib library.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: libasyncqt1.4
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AsyncQt library for SvxLink
 The SvxLink server provides access to a ham radio transceiver via
 the EchoLink® protocol.  This package contains the AsyncQt
 library for event-driven Qt applications using the Async classes.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: libasyncqt-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, libasyncqt1.4 (= ${binary:Version})
Description: AsyncQt library for SvxLink (development files)
 The SvxLink server provides access to a ham radio transceiver via
 the EchoLink® protocol. This package contains the static
 version and the header files for the AsyncQt library.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: libasynccore1.4
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AsyncCore library for SvxLink
 The SvxLink server provides access to a ham radio transceiver via
 the EchoLink® protocol. This package contains the AsyncCore
 library for event-driven applications that use Async classes.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

Package: libasynccore-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, libasynccore1.4 (= ${binary:Version})
Description: AsyncCore library for SvxLink (development files)
 The SvxLink server provides access to a ham radio transceiver via
 the EchoLink® protocol. This package contains the static
 version and the header files for the AsyncCore library.
 .
 EchoLink® allows licensed amateur radio operators to communicate
 over the Internet, including remote access to station equipment.
 EchoLink® is a registered trademark of Synergenics, LLC.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
#CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
#CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
#LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT=qt5

%:
	dh $@ \
		--buildsystem=cmake \
		--sourcedirectory=src \
		--builddirectory=build \

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_VERBOSE_MAKEFILE=ON \
		-DWITH_SYSTEMD=ON \
		-DBUILD_STATIC_LIBS=ON \
		-DSYSCONF_INSTALL_DIR=/etc \
		-DLOCAL_STATE_DIR=/var

.PHONY: override_dh_auto_build-indep
override_dh_auto_build-indep:
	mkdir -p $(CURDIR)/debian/icons/generated/64x64/
	rsvg-convert --width 64 --keep-aspect-ratio $(CURDIR)/debian/icons/original/Transmission-3-edited-recolored.svg > $(CURDIR)/debian/icons/generated/64x64/qtel.png
	mkdir -p $(CURDIR)/debian/icons/generated/128x128/
	rsvg-convert --width 128 --keep-aspect-ratio $(CURDIR)/debian/icons/original/Transmission-3-edited-recolored.svg > $(CURDIR)/debian/icons/generated/128x128/qtel.png
	mkdir -p $(CURDIR)/debian/icons/generated/256x256/
	rsvg-convert --width 256 --keep-aspect-ratio $(CURDIR)/debian/icons/original/Transmission-3-edited-recolored.svg > $(CURDIR)/debian/icons/generated/256x256/qtel.png
	dh_auto_build --indep

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	find $(CURDIR) -name 'moc_*' -execdir rm -fv '{}' \;
	find $(CURDIR) -name 'qrc_*' -execdir rm -fv '{}' \;
	-rm $(CURDIR)/debian/icons/generated/64x64/qtel.png
	-rm $(CURDIR)/debian/icons/generated/128x128/qtel.png
	-rm $(CURDIR)/debian/icons/generated/256x256/qtel.png
	dh_auto_clean

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip -psvxlink-server --dbgsym-migration='svxlink-server-dbg (<< 15.11-1~)'
	dh_strip -premotetrx --dbgsym-migration='remotetrx-dbg (<< 15.11-1~)'
	dh_strip -pqtel --dbgsym-migration='qtel-dbg (<< 15.11-1~)'
	dh_strip -plibecholib1.3 --dbgsym-migration='libecholib-dbg (<< 15.11-1~)'
	dh_strip -plibasynccore1.4 --dbgsym-migration='libasynccore-dbg (<< 15.11-1~)'
	dh_strip -plibasynccpp1.4 --dbgsym-migration='libasynccpp-dbg (<< 15.11-1~)'
	dh_strip -plibasyncaudio1.4 --dbgsym-migration='libasyncaudio-dbg (<< 15.11-1~)'
	dh_strip -plibasyncqt1.4 --dbgsym-migration='libasyncqt-dbg (<< 15.11-1~)'
	dh_strip

.PHONY: override_dh_installinit
override_dh_installinit:
	dh_installinit -psvxlink-server --name=svxlink
	dh_installinit

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs -psvxlink-server src/svxlink/ChangeLog
	dh_installchangelogs -psvxreflector src/svxlink/ChangeLog
	dh_installchangelogs -premotetrx src/svxlink/ChangeLog
	dh_installchangelogs -psvxlink-gpio src/svxlink/ChangeLog
	dh_installchangelogs -psvxlink-calibration-tools src/svxlink/ChangeLog
	dh_installchangelogs -pqtel src/qtel/ChangeLog
	dh_installchangelogs -pqtel-icons src/qtel/ChangeLog
	dh_installchangelogs -plibecholib1.3 src/echolib/ChangeLog
	dh_installchangelogs -plibecholib-dev src/echolib/ChangeLog
	dh_installchangelogs -plibasynccore1.4 src/async/ChangeLog
	dh_installchangelogs -plibasynccore-dev src/async/ChangeLog
	dh_installchangelogs -plibasyncaudio1.4 src/async/ChangeLog
	dh_installchangelogs -plibasyncaudio-dev src/async/ChangeLog
	dh_installchangelogs -plibasynccpp1.4 src/async/ChangeLog
	dh_installchangelogs -plibasynccpp-dev src/async/ChangeLog
	dh_installchangelogs -plibasyncqt1.4 src/async/ChangeLog
	dh_installchangelogs -plibasyncqt-dev src/async/ChangeLog

#.PHONY: override_dh_fixperms
#override_dh_fixperms:
#	dh_fixperms
#	chmod a-x debian/svxlink-server/etc/default/svxlink
#	chmod a-x debian/remotetrx/etc/default/remotetrx

## svxlink 17.12.1

=== src/async/audio/CMakeLists.txt ===
option(USE_ALSA "Alsa audio support" ON)
option(USE_OSS "OSS audio support" ON)

# Find Speex
find_package(Speex)
if(Speex_FOUND)
  if(DEFINED Speex_VERSION_MAJOR)
    include_directories(${Speex_INCLUDE_DIRS})
    add_definitions(${Speex_DEFINITIONS})
    add_definitions("-DSPEEX_MAJOR=${Speex_VERSION_MAJOR}")
    set(LIBS ${LIBS} ${Speex_LIBRARIES})
  else()
    message(WARNING
      "Found Speex but version could not be resolved. "
      "Will proceed without Speex.")
  endif()
else(Speex_FOUND)
  message("--   Speex is an optional dependency. The build will complete")
  message("--   without it but support for the Speex audio codec will")
  message("--   be unavailable.")
endif(Speex_FOUND)

# Find Opus
find_package(Opus)
if(Opus_FOUND)
  if(DEFINED Opus_VERSION_MAJOR)
    include_directories(${Opus_INCLUDE_DIRS})
    add_definitions(${Opus_DEFINITIONS})
    add_definitions("-DOPUS_MAJOR=${Opus_VERSION_MAJOR}")
    set(LIBS ${LIBS} ${Opus_LIBRARIES})
  else()
    message(WARNING
      "Found Opus but version could not be resolved. "
      "Will proceed without Opus.")
  endif()
else(Opus_FOUND)
  message("--   Opus is an optional dependency. The build will complete")
  message("--   without it but support for the Opus audio codec will")
  message("--   be unavailable.")
endif(Opus_FOUND)

find_package(GSM REQUIRED)
include_directories(${GSM_INCLUDE_DIR})
set(LIBS ${LIBS} ${GSM_LIBRARY})

set(LIBNAME asyncaudio)

set(EXPINC AsyncAudioSource.h AsyncAudioSink.h AsyncAudioProcessor.h
           AsyncAudioClipper.h AsyncAudioCompressor.h
           AsyncAudioFilter.h AsyncSigCAudioSink.h  AsyncSigCAudioSource.h
           AsyncAudioIO.h AsyncAudioSplitter.h AsyncAudioDelayLine.h
           AsyncAudioValve.h AsyncAudioAmp.h AsyncAudioSelector.h
           AsyncAudioPassthrough.h AsyncAudioMixer.h AsyncAudioFifo.h
           AsyncAudioDebugger.h AsyncAudioPacer.h AsyncAudioReader.h
           AsyncAudioDecimator.h AsyncAudioInterpolator.h
           AsyncAudioStreamStateDetector.h AsyncAudioEncoder.h
           AsyncAudioDecoder.h AsyncAudioRecorder.h
           AsyncAudioJitterFifo.h AsyncAudioDeviceFactory.h
           AsyncAudioDevice.h AsyncAudioNoiseAdder.h AsyncAudioGenerator.h)

set(LIBSRC AsyncAudioSource.cpp AsyncAudioSink.cpp
           AsyncAudioProcessor.cpp AsyncAudioCompressor.cpp
           AsyncAudioFilter.cpp fidlib.c AsyncAudioDevice.cpp
           AsyncAudioIO.cpp AsyncAudioSplitter.cpp
           AsyncAudioDelayLine.cpp AsyncAudioSelector.cpp
           AsyncAudioMixer.cpp AsyncAudioFifo.cpp AsyncAudioPacer.cpp
           AsyncAudioReader.cpp AsyncAudioDecimator.cpp
           AsyncAudioInterpolator.cpp AsyncAudioDecoder.cpp
           AsyncAudioEncoder.cpp AsyncAudioEncoderS16.cpp
           AsyncAudioDecoderS16.cpp AsyncAudioEncoderGsm.cpp
           AsyncAudioDecoderGsm.cpp AsyncAudioRecorder.cpp
           AsyncAudioDeviceFactory.cpp AsyncAudioJitterFifo.cpp
           AsyncAudioDeviceUDP.cpp AsyncAudioNoiseAdder.cpp)

if(Speex_FOUND)
  set(LIBSRC ${LIBSRC} AsyncAudioEncoderSpeex.cpp AsyncAudioDecoderSpeex.cpp)
endif(Speex_FOUND)

if(Opus_FOUND)
  set(LIBSRC ${LIBSRC} AsyncAudioEncoderOpus.cpp AsyncAudioDecoderOpus.cpp)
endif(Opus_FOUND)

if(USE_ALSA)
  set(LIBSRC ${LIBSRC} AsyncAudioDeviceAlsa.cpp)
  find_package(ALSA REQUIRED QUIET)
  set(LIBS ${LIBS} ${ALSA_LIBRARIES})
  include_directories(${ALSA_INCLUDE_DIRS})
endif(USE_ALSA)

if(USE_OSS)
  set(LIBSRC ${LIBSRC} AsyncAudioDeviceOSS.cpp)
endif(USE_OSS)

set(LIBS ${LIBS} asynccore)

# Copy exported include files to the global include directory
foreach(incfile ${EXPINC})
  expinc(${incfile})
endforeach(incfile)

# Set up additional defines
add_definitions(-DT_LINUX)

# Build a shared library and a static library if configured
add_library(${LIBNAME} SHARED ${LIBSRC})
set_target_properties(${LIBNAME} PROPERTIES VERSION ${VER_LIBASYNC}
                      SOVERSION ${VER_LIBASYNC_SOVERSION})
target_link_libraries(${LIBNAME} ${LIBS})
if (BUILD_STATIC_LIBS)
  add_library(${LIBNAME}_static STATIC ${LIBSRC})
  set_target_properties(${LIBNAME}_static PROPERTIES OUTPUT_NAME ${LIBNAME})
  target_link_libraries(${LIBNAME}_static ${LIBS})
endif(BUILD_STATIC_LIBS)

# Install files
install(TARGETS ${LIBNAME} DESTINATION ${LIB_INSTALL_DIR})
if (BUILD_STATIC_LIBS)
  install(TARGETS ${LIBNAME}_static DESTINATION ${LIB_INSTALL_DIR})
endif(BUILD_STATIC_LIBS)
install(FILES ${EXPINC} DESTINATION ${SVX_INCLUDE_INSTALL_DIR})

=== src/async/core/CMakeLists.txt ===
set(LIBNAME asynccore)

set(EXPINC AsyncApplication.h AsyncFdWatch.h AsyncTimer.h AsyncIpAddress.h
           AsyncTcpClient.h AsyncDnsLookup.h AsyncUdpSocket.h AsyncTcpServer.h
           AsyncTcpConnection.h AsyncConfig.h AsyncSerial.h AsyncFileReader.h
           AsyncAtTimer.h AsyncExec.h AsyncPty.h AsyncPtyStreamBuf.h AsyncMsg.h
           AsyncFramedTcpConnection.h AsyncTcpClientBase.h AsyncTcpServerBase.h)

set(LIBSRC AsyncApplication.cpp AsyncFdWatch.cpp AsyncTimer.cpp
           AsyncIpAddress.cpp AsyncDnsLookup.cpp AsyncTcpClientBase.cpp
           AsyncUdpSocket.cpp AsyncTcpServerBase.cpp
           AsyncTcpConnection.cpp AsyncConfig.cpp AsyncSerial.cpp
           AsyncSerialDevice.cpp AsyncFileReader.cpp
           AsyncAtTimer.cpp AsyncExec.cpp AsyncPty.cpp AsyncPtyStreamBuf.cpp
           AsyncFramedTcpConnection.cpp)

# Copy exported include files to the global include directory
foreach(incfile ${EXPINC})
  expinc(${incfile})
endforeach(incfile)

# Find pthreads
find_package(Threads)
set(LIBS ${LIBS} ${CMAKE_THREAD_LIBS_INIT})

# Set up additional defines
# FIXME: Do we need this?
add_definitions(-D_REENTRANT)

# Build a shared library and a static library if configured
add_library(${LIBNAME} SHARED ${LIBSRC})
set_target_properties(${LIBNAME} PROPERTIES VERSION ${VER_LIBASYNC}
                      SOVERSION ${VER_LIBASYNC_SOVERSION})
target_link_libraries(${LIBNAME} ${LIBS})
if (BUILD_STATIC_LIBS)
  add_library(${LIBNAME}_static STATIC ${LIBSRC})
  set_target_properties(${LIBNAME}_static PROPERTIES OUTPUT_NAME ${LIBNAME})
  target_link_libraries(${LIBNAME}_static ${LIBS})
endif(BUILD_STATIC_LIBS)

# Install files
install(TARGETS ${LIBNAME} DESTINATION ${LIB_INSTALL_DIR})
if (BUILD_STATIC_LIBS)
  install(TARGETS ${LIBNAME}_static DESTINATION ${LIB_INSTALL_DIR})
endif(BUILD_STATIC_LIBS)
install(FILES ${EXPINC} DESTINATION ${SVX_INCLUDE_INSTALL_DIR})

=== src/svxlink/contrib/CMakeLists.txt ===
option(WITH_CONTRIB_MODULE_REMOTE_RELAY
  "Set to ON to build and install contributed module RemoteRelay")
if(WITH_CONTRIB_MODULE_REMOTE_RELAY)
  message(STATUS "Building experimental module RemoteRelay")
  add_subdirectory(module_remote_relay)
endif(WITH_CONTRIB_MODULE_REMOTE_RELAY)

option(WITH_CONTRIB_MODULE_TCL_SSTV
  "Set to ON to build and install contributed module TclSSTV")
if(WITH_CONTRIB_MODULE_TCL_SSTV)
  message(STATUS "Building experimental module TclSSTV")
  add_subdirectory(module_tclsstv)
endif(WITH_CONTRIB_MODULE_TCL_SSTV)

option(WITH_CONTRIB_SVXSERVER
  "Set to ON to build and install contributed application svxserver")
if(WITH_CONTRIB_SVXSERVER)
  message(STATUS "Building experimental application svxserver")
  add_subdirectory(svxserver)
endif(WITH_CONTRIB_SVXSERVER)

=== src/svxlink/devcal/CMakeLists.txt ===
# Find the popt library
find_package(Popt REQUIRED)
include_directories(${POPT_INCLUDE_DIRS})
add_definitions(${POPT_DEFINITIONS})

# Add targets for version files
set(VERSION_DEPENDS)
add_version_target(DEVCAL VERSION_DEPENDS)

add_executable(devcal devcal.cpp ${VERSION_DEPENDS})
target_link_libraries(devcal asyncaudio asynccpp trx svxmisc ${POPT_LIBRARIES})
set_target_properties(devcal PROPERTIES
  RUNTIME_OUTPUT_DIRECTORY ${RUNTIME_OUTPUT_DIRECTORY}
)

#add_executable(noisegen noisegen.cpp)
#target_link_libraries(noisegen asyncaudio asynccpp trx)
#set_target_properties(noisegen PROPERTIES
#  RUNTIME_OUTPUT_DIRECTORY ${RUNTIME_OUTPUT_DIRECTORY}
#)

# Install targets
install(TARGETS devcal DESTINATION ${BIN_INSTALL_DIR})

=== src/svxlink/modules/CMakeLists.txt ===
#add_subdirectory(template)
add_subdirectory(help)
add_subdirectory(parrot)
add_subdirectory(echolink)
add_subdirectory(tcl)
add_subdirectory(tcl_voice_mail)
add_subdirectory(dtmf_repeater)
add_subdirectory(metarinfo)
add_subdirectory(propagation_monitor)
add_subdirectory(selcallenc)
add_subdirectory(frn)

=== src/svxlink/systemd/CMakeLists.txt ===
#############################################################################
# SvxLink ROIP Repeater system Systemd setup
#############################################################################

set(SYSTEMD_CONFIGURATIONS_FILES_DIR "/lib/systemd/system" CACHE PATH
  "Path to systemd units")
set(SYSTEMD_DEFAULTS_FILES_DIR "/etc/default" CACHE PATH
  "Path to systemd unit configuration files")
set(SYSTEMD_SOURCE_DIR "${CMAKE_SOURCE_DIR}/svxlink/systemd")

configure_file(${SYSTEMD_SOURCE_DIR}/svxlink_gpio_setup.service.in
               ${PROJECT_BINARY_DIR}/systemd/svxlink_gpio_setup.service)
#message(STATUS "Configured systemd unit file:svxlink_gpio_setup.service")

configure_file(${SYSTEMD_SOURCE_DIR}/svxlink.service.in
               ${PROJECT_BINARY_DIR}/systemd/svxlink.service)
#message(STATUS "Configured systemd unit file:svxlink.service")

configure_file(${SYSTEMD_SOURCE_DIR}/remotetrx.service.in
               ${PROJECT_BINARY_DIR}/systemd/remotetrx.service)
#message(STATUS "Configured systemd unit file:remotetrx.service")

configure_file(${SYSTEMD_SOURCE_DIR}/svxreflector.service.in
               ${PROJECT_BINARY_DIR}/systemd/svxreflector.service)

configure_file(${SYSTEMD_SOURCE_DIR}/svxlink.default.in
               ${PROJECT_BINARY_DIR}/systemd/svxlink)
#message(STATUS "Configured systemd unit file:svxlink")

configure_file(${SYSTEMD_SOURCE_DIR}/remotetrx.default.in
               ${PROJECT_BINARY_DIR}/systemd/remotetrx)
#message(STATUS "Configured systemd unit file:remotetrx")

configure_file(${SYSTEMD_SOURCE_DIR}/svxreflector.default.in
               ${PROJECT_BINARY_DIR}/systemd/svxreflector)

install(FILES ${PROJECT_BINARY_DIR}/systemd/svxlink_gpio_setup.service
        DESTINATION ${SYSTEMD_CONFIGURATIONS_FILES_DIR})
install(FILES ${PROJECT_BINARY_DIR}/systemd/svxlink.service
        DESTINATION ${SYSTEMD_CONFIGURATIONS_FILES_DIR})
install(FILES ${PROJECT_BINARY_DIR}/systemd/remotetrx.service
        DESTINATION ${SYSTEMD_CONFIGURATIONS_FILES_DIR})
install(FILES ${PROJECT_BINARY_DIR}/systemd/svxreflector.service
        DESTINATION ${SYSTEMD_CONFIGURATIONS_FILES_DIR})
message(STATUS "Systemd unit files will be installed to "
        "${SYSTEMD_CONFIGURATIONS_FILES_DIR} after make install")

install(FILES ${PROJECT_BINARY_DIR}/systemd/svxlink
        DESTINATION ${SYSTEMD_DEFAULTS_FILES_DIR} )
install(FILES ${PROJECT_BINARY_DIR}/systemd/remotetrx
        DESTINATION ${SYSTEMD_DEFAULTS_FILES_DIR} )
install(FILES ${PROJECT_BINARY_DIR}/systemd/svxreflector
        DESTINATION ${SYSTEMD_DEFAULTS_FILES_DIR} )
message(STATUS "Systemd unit configuration files will be "
               "installed to ${SYSTEMD_DEFAULTS_FILES_DIR} "
               "after make install")

=== debian/changelog ===
svxlink (17.12.1-2) unstable; urgency=medium

  * Added Build-Depends: librtlsdr-dev to enable new support for dongles
  * Limited builds to Linux via Arch: linux-any (Closes: #887945)
  * Switched directory ownership group from daemon to svxlink
  * Dropped the dbgsym migration code
  * Updated copyright
  * Switched to secure URL for copyright format
  * Removed unused patch for missing $HOME (upstream solved differently)
  * Marked patch removing old systemd targets as submitted but rejected
  * Removed directory debian/old

 -- Felix Lechner <felix.lechner@lease-up.com>  Tue, 30 Jan 2018 16:05:45 -0800

svxlink (17.12.1-1) unstable; urgency=medium

  * New upstream release
  * svxlink-calibration-tools now breaks and replaces old svxlink-server
    (Closes: #886695)
  * Marked qtel-icons Multi-Arch: foreign
  * Changed ownership of qso_recorder and propagation_monitor in $datadir
  * Bumped async library versions to 1.5
  * Bumped echolib library version to 1.3.3
  * Set compat to 11
  * Set Build-Depends: debhelper (>= 11)
  * Set Standards-Version: 4.1.3

 -- Felix Lechner <felix.lechner@lease-up.com>  Mon, 08 Jan 2018 17:36:41 -0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Felix Lechner <felix.lechner@lease-up.com>
 Build-Depends-Indep: librsvg2-bin
-Build-Depends: debhelper (>= 10), cmake,
+Build-Depends: debhelper (>= 11), cmake,
  libsigc++-2.0-dev (>= 2.2.10-0.2),
  libpopt-dev,
  libgcrypt-dev,
@@ -11,15 +11,16 @@
  libspeex-dev,
  libopus-dev,
  libasound2-dev,
+ librtlsdr-dev,
  qtbase5-dev,
  qttools5-dev,
  tk-dev,
  doxygen
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Homepage: http://www.svxlink.org
 
 Package: svxlink-server
-Architecture: any
+Architecture: linux-any
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
@@ -45,7 +46,7 @@
  EchoLink® is a registered trademark of Synergenics, LLC.
 
 Package: svxreflector
-Architecture: any
+Architecture: linux-any
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
@@ -64,7 +65,7 @@
  EchoLink® is a registered trademark of Synergenics, LLC.
 
 Package: remotetrx
-Architecture: any
+Architecture: linux-any
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
@@ -102,10 +103,12 @@
  Synergenics, LLC.
 
 Package: svxlink-calibration-tools
-Architecture: any
+Architecture: linux-any
 Depends:
  ${shlibs:Depends},
  ${misc:Depends}
+Breaks: svxlink-server (<< 17.12.1-1)
+Replaces: svxlink-server (<< 17.12.1-1)
 Description: Calibration tools for SvxLink amateur radio suite
  SvxLink facilitates remote control of amateur radio transceivers via the
  EchoLink® protocol. This package included the calibration tools.
@@ -117,7 +120,7 @@
  Synergenics, LLC.
 
 Package: qtel
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, qtel-icons
 Description: Graphical client for the EchoLink® protocol
  Qtel is a graphical client program for the EchoLink® ham radio
@@ -129,6 +132,7 @@
 
 Package: qtel-icons
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Icons for graphical client for the EchoLink® protocol
  Icons for Qtel, a graphical client program for the EchoLink®
@@ -138,8 +142,8 @@
  over the Internet, including remote access to station equipment.
  EchoLink® is a registered trademark of Synergenics, LLC.
 
-Package: libasynccpp1.4
-Architecture: any
+Package: libasynccpp1.5
+Architecture: linux-any
 Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -153,10 +157,10 @@
  EchoLink® is a registered trademark of Synergenics, LLC.
 
 Package: libasynccpp-dev
-Architecture: any
-Multi-Arch: same
-Section: libdevel
-Depends: ${misc:Depends}, libasynccpp1.4 (= ${binary:Version})
+Architecture: linux-any
+Multi-Arch: same
+Section: libdevel
+Depends: ${misc:Depends}, libasynccpp1.5 (= ${binary:Version})
 Description: AsyncCpp library for SvxLink (development files)
  The SvxLink server provides access to a ham radio transceiver via
  the EchoLink® protocol. This package contains the static
@@ -166,8 +170,8 @@
  over the Internet, including remote access to station equipment.
  EchoLink® is a registered trademark of Synergenics, LLC.
 
-Package: libasyncaudio1.4
-Architecture: any
+Package: libasyncaudio1.5
+Architecture: linux-any
 Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -181,10 +185,10 @@
  EchoLink® is a registered trademark of Synergenics, LLC.
 
 Package: libasyncaudio-dev
-Architecture: any
-Multi-Arch: same
-Section: libdevel
-Depends: ${misc:Depends}, libasyncaudio1.4 (= ${binary:Version})
+Architecture: linux-any
+Multi-Arch: same
+Section: libdevel
+Depends: ${misc:Depends}, libasyncaudio1.5 (= ${binary:Version})
 Description: AsyncAudio library for SvxLink (development files)
  The SvxLink server provides access to a ham radio transceiver via
  the EchoLink® protocol. This package contains the static
@@ -194,8 +198,64 @@
  over the Internet, including remote access to station equipment.
  EchoLink® is a registered trademark of Synergenics, LLC.
 
+Package: libasyncqt1.5
+Architecture: linux-any
+Multi-Arch: same
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: AsyncQt library for SvxLink
+ The SvxLink server provides access to a ham radio transceiver via
+ the EchoLink® protocol.  This package contains the AsyncQt
+ library for event-driven Qt applications using the Async classes.
+ .
+ EchoLink® allows licensed amateur radio operators to communicate
+ over the Internet, including remote access to station equipment.
+ EchoLink® is a registered trademark of Synergenics, LLC.
+
+Package: libasyncqt-dev
+Architecture: linux-any
+Multi-Arch: same
+Section: libdevel
+Depends: ${misc:Depends}, libasyncqt1.5 (= ${binary:Version})
+Description: AsyncQt library for SvxLink (development files)
+ The SvxLink server provides access to a ham radio transceiver via
+ the EchoLink® protocol. This package contains the static
+ version and the header files for the AsyncQt library.
+ .
+ EchoLink® allows licensed amateur radio operators to communicate
+ over the Internet, including remote access to station equipment.
+ EchoLink® is a registered trademark of Synergenics, LLC.
+
+Package: libasynccore1.5
+Architecture: linux-any
+Multi-Arch: same
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: AsyncCore library for SvxLink
+ The SvxLink server provides access to a ham radio transceiver via
+ the EchoLink® protocol. This package contains the AsyncCore
+ library for event-driven applications that use Async classes.
+ .
+ EchoLink® allows licensed amateur radio operators to communicate
+ over the Internet, including remote access to station equipment.
+ EchoLink® is a registered trademark of Synergenics, LLC.
+
+Package: libasynccore-dev
+Architecture: linux-any
+Multi-Arch: same
+Section: libdevel
+Depends: ${misc:Depends}, libasynccore1.5 (= ${binary:Version})
+Description: AsyncCore library for SvxLink (development files)
+ The SvxLink server provides access to a ham radio transceiver via
+ the EchoLink® protocol. This package contains the static
+ version and the header files for the AsyncCore library.
+ .
+ EchoLink® allows licensed amateur radio operators to communicate
+ over the Internet, including remote access to station equipment.
+ EchoLink® is a registered trademark of Synergenics, LLC.
+
 Package: libecholib1.3
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -209,7 +269,7 @@
  EchoLink® is a registered trademark of Synergenics, LLC.
 
 Package: libecholib-dev
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends}, libecholib1.3 (= ${binary:Version})
@@ -221,59 +281,3 @@
  EchoLink® allows licensed amateur radio operators to communicate
  over the Internet, including remote access to station equipment.
  EchoLink® is a registered trademark of Synergenics, LLC.
-
-Package: libasyncqt1.4
-Architecture: any
-Multi-Arch: same
-Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: AsyncQt library for SvxLink
- The SvxLink server provides access to a ham radio transceiver via
- the EchoLink® protocol.  This package contains the AsyncQt
- library for event-driven Qt applications using the Async classes.
- .
- EchoLink® allows licensed amateur radio operators to communicate
- over the Internet, including remote access to station equipment.
- EchoLink® is a registered trademark of Synergenics, LLC.
-
-Package: libasyncqt-dev
-Architecture: any
-Multi-Arch: same
-Section: libdevel
-Depends: ${misc:Depends}, libasyncqt1.4 (= ${binary:Version})
-Description: AsyncQt library for SvxLink (development files)
- The SvxLink server provides access to a ham radio transceiver via
- the EchoLink® protocol. This package contains the static
- version and the header files for the AsyncQt library.
- .
- EchoLink® allows licensed amateur radio operators to communicate
- over the Internet, including remote access to station equipment.
- EchoLink® is a registered trademark of Synergenics, LLC.
-
-Package: libasynccore1.4
-Architecture: any
-Multi-Arch: same
-Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: AsyncCore library for SvxLink
- The SvxLink server provides access to a ham radio transceiver via
- the EchoLink® protocol. This package contains the AsyncCore
- library for event-driven applications that use Async classes.
- .
- EchoLink® allows licensed amateur radio operators to communicate
- over the Internet, including remote access to station equipment.
- EchoLink® is a registered trademark of Synergenics, LLC.
-
-Package: libasynccore-dev
-Architecture: any
-Multi-Arch: same
-Section: libdevel
-Depends: ${misc:Depends}, libasynccore1.4 (= ${binary:Version})
-Description: AsyncCore library for SvxLink (development files)
- The SvxLink server provides access to a ham radio transceiver via
- the EchoLink® protocol. This package contains the static
- version and the header files for the AsyncCore library.
- .
- EchoLink® allows licensed amateur radio operators to communicate
- over the Internet, including remote access to station equipment.
- EchoLink® is a registered trademark of Synergenics, LLC.

=== debian/rules ===
--- 
+++ 
@@ -50,14 +50,14 @@
 
 .PHONY: override_dh_strip
 override_dh_strip:
-	dh_strip -psvxlink-server --dbgsym-migration='svxlink-server-dbg (<< 15.11-1~)'
-	dh_strip -premotetrx --dbgsym-migration='remotetrx-dbg (<< 15.11-1~)'
-	dh_strip -pqtel --dbgsym-migration='qtel-dbg (<< 15.11-1~)'
-	dh_strip -plibecholib1.3 --dbgsym-migration='libecholib-dbg (<< 15.11-1~)'
-	dh_strip -plibasynccore1.4 --dbgsym-migration='libasynccore-dbg (<< 15.11-1~)'
-	dh_strip -plibasynccpp1.4 --dbgsym-migration='libasynccpp-dbg (<< 15.11-1~)'
-	dh_strip -plibasyncaudio1.4 --dbgsym-migration='libasyncaudio-dbg (<< 15.11-1~)'
-	dh_strip -plibasyncqt1.4 --dbgsym-migration='libasyncqt-dbg (<< 15.11-1~)'
+	dh_strip -psvxlink-server
+	dh_strip -premotetrx
+	dh_strip -pqtel
+	dh_strip -plibecholib1.3
+	dh_strip -plibasynccore1.5
+	dh_strip -plibasynccpp1.5
+	dh_strip -plibasyncaudio1.5
+	dh_strip -plibasyncqt1.5
 	dh_strip
 
 .PHONY: override_dh_installinit
@@ -76,13 +76,13 @@
 	dh_installchangelogs -pqtel-icons src/qtel/ChangeLog
 	dh_installchangelogs -plibecholib1.3 src/echolib/ChangeLog
 	dh_installchangelogs -plibecholib-dev src/echolib/ChangeLog
-	dh_installchangelogs -plibasynccore1.4 src/async/ChangeLog
+	dh_installchangelogs -plibasynccore1.5 src/async/ChangeLog
 	dh_installchangelogs -plibasynccore-dev src/async/ChangeLog
-	dh_installchangelogs -plibasyncaudio1.4 src/async/ChangeLog
+	dh_installchangelogs -plibasyncaudio1.5 src/async/ChangeLog
 	dh_installchangelogs -plibasyncaudio-dev src/async/ChangeLog
-	dh_installchangelogs -plibasynccpp1.4 src/async/ChangeLog
+	dh_installchangelogs -plibasynccpp1.5 src/async/ChangeLog
 	dh_installchangelogs -plibasynccpp-dev src/async/ChangeLog
-	dh_installchangelogs -plibasyncqt1.4 src/async/ChangeLog
+	dh_installchangelogs -plibasyncqt1.5 src/async/ChangeLog
 	dh_installchangelogs -plibasyncqt-dev src/async/ChangeLog
 
 #.PHONY: override_dh_fixperms
